Skip to main content

Create a vendor for Entrata

POSThttps://api.propexo.com/v1/vendors/entrata/
Method
vendors/sendVendors
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    properties object[]required

    A list of properties that the vendor is approved for

    Possible values: >= 1

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    is_compliantbooleanrequired

    Whether or not the property is compliant

  • ]
  • namestringrequired

    The name associated with the vendor

    tax_payer_first_namestringrequired

    The first name of the tax payer associated with the vendor

    tax_payer_last_namestringrequired

    The last name of the tax payer associated with the vendor

    payment_type_idstringrequired

    The Propexo unique identifier for the vendor payment type

    location_namestringrequired

    The name associated with the vendor location

    contacts object[]required

    A list of contacts associated with the vendor. At least 1 contact must be marked as the primary contact

    Possible values: >= 1

  • Array [
  • contact_first_namestringrequired

    The first name associated with the vendor contact

    contact_last_namestringrequired

    The last name associated with the vendor contact

    is_primarybooleanrequired

    Whether or not this is the primary contact

    contact_email_1string

    The primary email address associated with the vendor contact

    contact_phone_1string

    Primary phone number associated with the vendor contact

  • ]
  • notesstring

    Notes associated with the vendor

    tax_idstring
    third_party_idstring

    A unique value provided to Entrata to uniquely identify the vendor from your system. This can be an alphanumeric string. This does not become the ID of the vendor in Entrata. If not provided, Propexo will generate one

    financial_account_idstring

    The Propexo unique identifier for the financial account

    payment_name_on_accountstring

    The name on the account associated with vendor payments. Required if vendor payment type is ACH

    payment_routing_numberstring

    The routing number associated with vendor payments. Required if vendor payment type is ACH

    Possible values: >= 9 characters and <= 9 characters

    payment_account_numberstring

    The account number associated with vendor payments. Required if vendor payment type is ACH

    payment_address_1string

    The first address line associated with the vendor location

    payment_address_2string

    The second address line associated with the vendor location

    payment_citystring

    The city associated with the vendor location

    payment_statestring

    The state associated with the vendor location

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    payment_zipstring

    The zip code associated with the vendor location

    payment_countrystring

    The country associated with the vendor location

    Show 2 variants
    • stringUSCA
    • string
    location_address_1string

    The first address line associated with the vendor location

    location_address_2string

    The second address line associated with the vendor location

    location_citystring

    The city associated with the vendor location

    location_statestring

    The state associated with the vendor location

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    location_zipstring

    The zip code associated with the vendor location

    location_countrystring

    The country associated with the vendor location

    Show 2 variants
    • stringUSCA
    • string
    location_email_1string

    The primary email address associated with the vendor location

    location_phone_1string

    Primary phone number associated with the vendor location

    location_notesstring

    Notes associated with the vendor location

    insurance_plan object

    The details of an insurance plan associated with the vendor

    insurance_property_idsstring[]required

    An array of Propexo property IDs associated with the insurance policy

    Possible values: >= 1

    insurance_attachment objectrequired

    The document of record associated with the insurance policy

    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    insurance_coverage_namestringrequired

    The name of the coverage associated with the insurance plan

    insurance_policies object[]required

    A list of insurance policies associated with the vendor

    Possible values: >= 1

  • Array [
  • insurance_policy_type_idstringrequired

    The Propexo unique identifier for the vendor insurance policy type

    insurance_policy_numberstringrequired

    The policy number associated with the insurance plan

    insurance_policy_descriptionstringrequired

    The policy description associated with the insurance plan

    expiration_datestringrequired

    The expiration date of the insurance policy

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    insurance_coverages object[]required

    List of coverages associated with the insurance policy

    Possible values: >= 1

  • Array [
  • insurance_coverage_type_idstringrequired

    The Propexo unique identifier for the vendor insurance coverage type

    insurance_coverage_amount_in_centsnumberrequired

    The coverage amount in cents associated with the insurance policy

  • ]
  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    properties object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    is_compliantbooleanrequired

    Whether or not the property is compliant

  • ]
  • namestringrequired

    The name associated with the vendor

    tax_payer_first_namestringrequired

    The first name of the tax payer associated with the vendor

    tax_payer_last_namestringrequired

    The last name of the tax payer associated with the vendor

    payment_type_idstringrequired

    The Propexo unique identifier for the vendor payment type

    location_namestringrequired

    The name associated with the vendor location

    contacts object[]required
  • Array [
  • contact_first_namestringrequired

    The first name associated with the vendor contact

    contact_last_namestringrequired

    The last name associated with the vendor contact

    is_primarybooleanrequired

    Whether or not this is the primary contact

    contact_email_1string
    contact_phone_1string
  • ]
  • notesstring | nullnullablerequired
    tax_idstring | nullnullablerequired
    third_party_idstring | nullnullablerequired
    financial_account_idstring | nullnullablerequired
    payment_name_on_accountstring | nullnullablerequired
    payment_routing_numberstring | nullnullablerequired

    Possible values: >= 9 characters and <= 9 characters

    payment_account_numberstring | nullnullablerequired
    payment_address_1string | nullnullablerequired
    payment_address_2string | nullnullablerequired
    payment_citystring | nullnullablerequired
    payment_statestring | nullnullablerequired
    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    payment_zipstring | nullnullablerequired
    payment_countrystring | nullnullablerequired
    Show 2 variants
    • stringUSCA
    • string
    location_address_1string | nullnullablerequired
    location_address_2string | nullnullablerequired
    location_citystring | nullnullablerequired
    location_statestring | nullnullablerequired
    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    location_zipstring | nullnullablerequired
    location_countrystring | nullnullablerequired
    Show 2 variants
    • stringUSCA
    • string
    location_email_1string | nullnullablerequired
    location_phone_1string | nullnullablerequired
    location_notesstring | nullnullablerequired
    insurance_plan object | nullrequired
    insurance_property_idsstring[]required
    insurance_attachment objectrequired
    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    insurance_coverage_namestringrequired

    The name of the coverage associated with the insurance plan

    insurance_policies object[]required
  • Array [
  • insurance_policy_type_idstringrequired

    The Propexo unique identifier for the vendor insurance policy type

    insurance_policy_numberstringrequired

    The policy number associated with the insurance plan

    insurance_policy_descriptionstringrequired

    The policy description associated with the insurance plan

    expiration_datestringrequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    insurance_coverages object[]required
  • Array [
  • insurance_coverage_type_idstringrequired

    The Propexo unique identifier for the vendor insurance coverage type

    insurance_coverage_amount_in_centsnumberrequired

    The coverage amount in cents associated with the insurance policy

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/vendors/entrata/
curl -X POST https://api.propexo.com/v1/vendors/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"properties": [
{
"property_id": "string",
"is_compliant": true
}
],
"name": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"payment_type_id": "string",
"location_name": "string",
"contacts": [
{
"contact_first_name": "string",
"contact_last_name": "string",
"is_primary": true,
"contact_email_1": "string",
"contact_phone_1": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"properties": [
{
"property_id": "string",
"is_compliant": true
}
],
"name": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"payment_type_id": "string",
"location_name": "string",
"contacts": [
{
"contact_first_name": "string",
"contact_last_name": "string",
"is_primary": true,
"contact_email_1": "string",
"contact_phone_1": "string"
}
],
"notes": "string",
"tax_id": "string",
"third_party_id": "string",
"financial_account_id": "string",
"payment_name_on_account": "string",
"payment_routing_number": "string",
"payment_account_number": "string",
"payment_address_1": "string",
"payment_address_2": "string",
"payment_city": "string",
"payment_state": "AA",
"payment_zip": "string",
"payment_country": "US",
"location_address_1": "string",
"location_address_2": "string",
"location_city": "string",
"location_state": "AA",
"location_zip": "string",
"location_country": "US",
"location_email_1": "string",
"location_phone_1": "string",
"location_notes": "string",
"insurance_plan": "Unknown Type: object,null"
}
}